Bug 24734 - reconfig errors on startup
Summary: reconfig errors on startup
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-23 19:52 UTC by josip
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 20:34:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description josip 2001-01-23 19:52:45 UTC
Package anaconda-7.0.1-6 owns file /etc/rc.d/init.d/reconfig which attempts
to source /etc/sysconfig/i18n which does not exist.  I'm guessing that this
filename should have 'init' instead of 'i18n'.

Suggestion: fix this typo.

Comment 1 Michael Fulbright 2001-01-24 20:34:53 UTC
That is the correct filename.  This file normally exists (it is created by the
install process).

If it is missing you can touch the file to suppress the warnings.

Comment 2 josip 2001-01-24 21:01:28 UTC
OK -- but it would be better if reconfig verified that 'i18n' exists before
attempting to source that file.  May I suggest

if [ -f /etc/sysconfig/i18n ]; then
  . /etc/sysconfig/i18n
fi

instead of just sourcing blindly? 



Note You need to log in before you can comment on or make changes to this bug.